View Issue Details

IDProjectCategoryView StatusLast Update
0022493LazarusLCLpublic2012-10-18 04:55
ReporterMarkus MüllerAssigned ToJesus Reyes 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.1 (SVN)Product Build 
Target Version1.2.0Fixed in Version1.1 (SVN) 
Summary0022493: TDBGrid using column ButtonStyle "cbsCheckboxColumn"
DescriptionIf the column with ButtonStyle=cbsCheckboxColumn is the last column in the DBGrid then:

1) If this column is not visible, and I click on the right side from the TDGrid where is no column (white space) then the dataset is going into Edit Mode and a other selected column is be overwrite with 0 or 1.

Please correct this very unfortunate mistake soon.

2) If the column is visible, and I click on the right side from the TDGrid where is no column (white space) then this column change the checkbox.

I have change your demo project "dblookup" an you can see this mistake. I have add this lines into the project:
procedure TForm1.Dbf1AfterOpen(DataSet: TDataSet);
begin
  DBGrid1.Columns.Items[2].ButtonStyle := cbsCheckboxColumn;
  DBGrid1.Columns.Items[2].Index := 3;
  DBGrid1.Columns.Items[3].Visible := False; // Comment out this line for test 2)
end;

Thank you for help.
Additional InformationI have install this EXE:
Lazarus-1.1-37965-fpc-2.6.0-20120719-win32.exe
TagsNo tags attached.
Fixed in Revision39123
LazTarget1.2
WidgetsetWin32/Win64
Attached Files

Activities

2012-07-23 15:34

 

dblookup.zip (66,978 bytes)

Jesus Reyes

2012-10-18 04:55

developer   ~0063256

Fixed, please test.

About point 2, is a grid's Lazarus feature that is controlled with grid property AllowOutboundEvents (public, available on dbgrid too starting on r39123), it's true by default as it's the Lazarus compatible behavior.

Issue History

Date Modified Username Field Change
2012-07-23 15:34 Markus Müller New Issue
2012-07-23 15:34 Markus Müller File Added: dblookup.zip
2012-07-23 15:34 Markus Müller Widgetset => Win32/Win64
2012-08-17 20:45 Jesus Reyes Status new => assigned
2012-08-17 20:45 Jesus Reyes Assigned To => Jesus Reyes
2012-10-18 04:55 Jesus Reyes Fixed in Revision => 39123
2012-10-18 04:55 Jesus Reyes LazTarget => 1.2
2012-10-18 04:55 Jesus Reyes Status assigned => resolved
2012-10-18 04:55 Jesus Reyes Fixed in Version => 1.1 (SVN)
2012-10-18 04:55 Jesus Reyes Resolution open => fixed
2012-10-18 04:55 Jesus Reyes Note Added: 0063256
2012-10-18 04:55 Jesus Reyes Target Version => 1.2.0